FSTRIM(8)

NOM
fstrim - Abandonner les blocs non utilisés d'un système de fichiers monté

SYNOPSIS

fstrim [-Aav] [-o offset] [-l length] [-m minimum-size] [mountpoint]

DESCRIPTION

fstrim est utilisé sur un système de fichiers monté pour abandonner (ou « rogner ») les blocs qui ne sont pas utilisés par le système de fichiers. C’est pratique pour les SSD (« solid-state drive ») et l’allocation fine et dynamique (« thinly-provisioned storage »).

Par défaut, fstrim abandonnera tous les blocs non utilisés du système de fichiers. Les options permettent de modifier ce comportement en fonction d’intervalle ou de taille, conformément aux explications suivantes.

The mountpoint argument is the pathname of the directory where the filesystem is mounted and is required when -A, -a, --fstab, or --all are unspecified.

Exécuter fstrim fréquemment, ou même utiliser mount -o discard, pourrait affecter négativement la durée de vie des périphériques SSD de mauvaise qualité. Pour la plupart des systèmes de bureau ou de serveur, la fréquence d’abandon suffisante est une fois par semaine. Remarquez que tous les périphériques ne permettent pas de mettre en attente les abandons, donc chaque commande d’abandon pénalise les performances de tout ce qui pourrait être en train d’essayer d’utiliser le disque en même temps.

OPTIONS

Les arguments position, taille et taille_mini peuvent être suivis des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-A, --fstab
    Trim all mounted filesystems mentioned in /etc/fstab on devices that support the discard operation. The root filesystem is determined from kernel command line if missing in the file. The other supplied options, like --offset, --length and --minimum, are applied to all these devices. Errors from filesystems that do not support the discard operation, read-only devices, autofs and read-only filesystems are silently ignored. Filesystems with "X-fstrim.notrim" mount option are skipped.

-a, --all
    Rogner tous les systèmes de fichiers montés sur les périphériques qui permettent l’opération d’abandon. Les autres options fournies, comme --offset, --length et --minimum sont appliquées à tous ces périphériques. Les erreurs des systèmes de fichiers qui ne permettent pas l’opération d’abandon, les périphériques en lecture seule et les systèmes de fichiers en lecture seule sont ignorées silencieusement.

-n, --dry-run
    Cette option permet de tout faire, sauf d’appeler réellement l’ioctl FITRIM.

-o, --offset position
    La position en octet dans le système de fichiers à partir de laquelle commencer à chercher les blocs libres à abandonner. La valeur par défaut est zéro, désignant le début du système de fichiers.

-l, --length taille
    Le nombre d’octets (après le point de départ) où chercher des blocs libres à abandonner. Si la valeur indiquée va au-delà de la fin du système de fichiers, fstrim s’arrêtera à la frontière de taille du système de fichiers. La valeur par défaut prolonge la recherche jusqu’à la fin du système de fichiers.

-I, --listed-in liste
    Indiquer une liste de fichiers séparés par des deux-points dans le format mountinfo du noyau ou de fstab. Tous les fichiers manquants ou vides sont ignorés silencieusement. L’évaluation de la liste s’arrête après le premier fichier non vide. Par exemple,

    --listed-in /etc/fstab:/proc/self/mountinfo.

    Filesystems with "X-fstrim.notrim" mount option in fstab are skipped.

-m, --minimum taille-mini
    Minimum contiguous free range to discard, in bytes. (This value is internally rounded up to a multiple of the filesystem block size.) Free ranges smaller than this will be ignored and fstrim will adjust the minimum if it’s smaller than the device’s minimum, and report that (fstrim_range.minlen) back to userspace. By increasing this value, the fstrim operation will complete more quickly for filesystems with badly fragmented freespace, although not all blocks will be discarded. The default value is zero, discarding every free block.

-t, --types liste
    Specifies allowed or forbidden filesystem types when used with --all or --fstab. The list is a comma-separated list of the filesystem names. The list follows how mount -t evaluates type patterns. Only specified filesystem types are allowed. All specified types are forbidden if the list is prefixed by "no" or each filesystem prefixed by "no" is forbidden. If the option is not used, then all filesystems (except "autofs") are allowed.

-v, --verbose
    Exécution détaillée. Avec cette option, fstrim affichera le nombre d’octets transmis du système de fichiers par la pile de bloc vers le périphérique pour abandon éventuel. Ce nombre est un montant maximal d’abandon d’un point de vue du périphérique de stockage, parce que l’ioctl FITRIM appelé plusieurs fois continuera à répéter l’envoi des mêmes secteurs pour abandon.

    fstrim signalera à chaque fois les mêmes octets à abandonner, mais seuls les secteurs sur lesquels une écriture a eu lieu entre les abandons seront vraiment abandonnés par le périphérique de stockage. De plus, la couche bloc du noyau se réserve le droit d’ajuster les intervalles d’abandon pour s’ajuster à la géométrie des bandes RAID, aux périphériques ne pouvant pas être rognés dans une configuration LVM, etc. Ces réductions ne seront pas reflétées par fstrim_range.len (l’option --length).

--quiet-unsupported
    Suppress error messages if trim operation (ioctl) is unsupported. This option is meant to be used in systemd service file or in cron(8) scripts to hide warnings that are result of known problems, such as NTFS driver reporting Bad file descriptor when device is mounted read-only, or lack of file system support for ioctl FITRIM call. This option also cleans exit status when unsupported filesystem specified on fstrim command line.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

CODE DE RETOUR

0
    Succès.

1
    Échec.

32
    Tout a échoué.

64
    Certains abandons sur le système de fichiers ont réussi, d’autres ont échoués.

La commande fstrim --all renvoie 0 (tous ont réussi), 32 (tous ont échoué) ou 64 (certains ont réussi, d’autres ont échoué).

AUTEURS

VOIR AUSSI

blkdiscard(8), mount(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande fstrim fait partie du paquet util-linux, elle est disponible sur